import { world } from "@minecraft/server";

world.afterEvents.itemUse.subscribe((eventData) => {
const player = eventData.source
const item = player.getComponent('equippable').getEquipment('Mainhand')
     if (item?.typeId == 'true:m9_empty') {
          player.runCommandAsync("playsound gun_empty @a [r=4] ~ ~ ~");
          player.runCommandAsync("replaceitem entity @s [hasitem={item=true:m9_empty,location=slot.weapon.mainhand},tag=ammo_9mm] slot.weapon.mainhand 0 true:m9 1 0");
          player.runCommandAsync("clear @s [hasitem={item=true:ammo_9mm}] true:ammo_9mm 0 1");
          player.runCommandAsync("scoreboard players add @s m9_reloading 25");
        }
        if (item?.typeId == 'true:mk16_empty') {
          player.runCommandAsync("playsound gun_empty @a [r=4] ~ ~ ~");
          player.runCommandAsync("replaceitem entity @s [hasitem={item=true:mk16_empty,location=slot.weapon.mainhand},tag=ammo_556mm] slot.weapon.mainhand 0 true:mk16 1 0");
          player.runCommandAsync("clear @s [hasitem={item=true:ammo_556mm}] true:ammo_556mm 0 1");
          player.runCommandAsync("scoreboard players add @s mk16_reloading 60");
        }
        if (item?.typeId == 'true:mk16_scope_4x_empty') {
          player.runCommandAsync("playsound gun_empty @a [r=4] ~ ~ ~");
          player.runCommandAsync("replaceitem entity @s [hasitem={item=true:mk16_scope_4x_empty,location=slot.weapon.mainhand},tag=ammo_556mm] slot.weapon.mainhand 0 true:mk16_scope_4x 1 0");
          player.runCommandAsync("clear @s [hasitem={item=true:ammo_556mm}] true:ammo_556mm 0 1");
          player.runCommandAsync("scoreboard players add @s mk16_scope_4x_reloading 60");
        }
        if (item?.typeId == 'true:mk16_scope_6x_empty') {
          player.runCommandAsync("playsound gun_empty @a [r=4] ~ ~ ~");
          player.runCommandAsync("replaceitem entity @s [hasitem={item=true:mk16_scope_6x_empty,location=slot.weapon.mainhand},tag=ammo_556mm] slot.weapon.mainhand 0 true:mk16_scope_6x 1 0");
          player.runCommandAsync("clear @s [hasitem={item=true:ammo_556mm}] true:ammo_556mm 0 1");
          player.runCommandAsync("scoreboard players add @s mk16_scope_6x_reloading 60");
        }
        if (item?.typeId == 'true:ak47_empty') {
          player.runCommandAsync("playsound gun_empty @a [r=4] ~ ~ ~");
          player.runCommandAsync("replaceitem entity @s [hasitem={item=true:ak47_empty,location=slot.weapon.mainhand},tag=ammo_762mm] slot.weapon.mainhand 0 true:ak47 1 0");
          player.runCommandAsync("clear @s [hasitem={item=true:ammo_762mm}] true:ammo_762mm 0 1");
          player.runCommandAsync("scoreboard players add @s ak47_reloading 60");
        }
        if (item?.typeId == 'true:ak47_scope_4x_empty') {
          player.runCommandAsync("playsound gun_empty @a [r=4] ~ ~ ~");
          player.runCommandAsync("replaceitem entity @s [hasitem={item=true:ak47_scope_4x_empty,location=slot.weapon.mainhand},tag=ammo_762mm] slot.weapon.mainhand 0 true:ak47_scope_4x 1 0");
          player.runCommandAsync("clear @s [hasitem={item=true:ammo_762mm}] true:ammo_762mm 0 1");
          player.runCommandAsync("scoreboard players add @s ak47_scope_4x_reloading 60");
        }
        if (item?.typeId == 'true:ak47_scope_6x_empty') {
          player.runCommandAsync("playsound gun_empty @a [r=4] ~ ~ ~");
          player.runCommandAsync("replaceitem entity @s [hasitem={item=true:ak47_scope_6x_empty,location=slot.weapon.mainhand},tag=ammo_762mm] slot.weapon.mainhand 0 true:ak47_scope_6x 1 0");
          player.runCommandAsync("clear @s [hasitem={item=true:ammo_762mm}] true:ammo_762mm 0 1");
          player.runCommandAsync("scoreboard players add @s ak47_scope_6x_reloading 60");
        }
    }
);

